# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
title: PyGotham 2018
email: organizers@pygotham.org
description: > # this means to ignore newlines until "baseurl:"
  PyGotham is a New York City based, eclectic, Py-centric conference covering
  many topics. There is a diverse speaker list, and some things which will be
  quite different. PyGotham attracts developers of various backgrounds and skill
  levels from the New York metropolitan area and beyond. Activities include two
  full days of talks, lightning talk sessions, and a social event.
baseurl: "" # the subpath of your site, e.g. /blog
url: "https://2018.pygotham.org"
twitter_username: PyGotham

timezone: America/New_York

# Configure jekyll-feed.
author: PyGotham

defaults:
  - scope:
      path: ""
      type: "posts"
    values:
      layout: "post"
  - scope:
      path: ""
      type: "speakers"
    values:
      body_class: "speaker"
      layout: "speaker"
  - scope:
      path: ""
      type: "talks"
    values:
      body_class: "talk"
      layout: "talk"
  - scope:
      path: ""
    values:
      layout: "default"

permalink: pretty

collections:
  speakers:
    output: true
  sponsors:
    output: false
  talks:
    output: true

# Build settings
markdown: kramdown
plugins:
  - jekyll-feed
exclude:
  - Gemfile
  - Gemfile.lock
  - LICENSE
  - README.md
sass:
  sass_dir: _sass
  style: compressed
